Developers
REST API
GuidesErrorsLogin
Get API Keys
API Navigation
  • Overview
  • Quick start
  • Authentication
  • Collect a payment
  • Payment status
  • Refunds
  • Testing
  • Production
  • Security
API reference
  • Create API keys POST
  • List API keys GET
  • Get API key GET
  • Delete API key DEL
  • Collect with MTN POST
  • MTN payment status GET
  • Collect with Airtel POST
    Create and pay
  • Create order POST
  • Order fee POST
  • Pay order with card POST
  • Pay order with bank POST
  • Status and verify
  • Order status POST
  • Verify order POST
  • Cards and tokens
  • Save card POST
  • Tokenize charge GET
  • Refunds
  • Refund order POST
  • Lists and stats
  • List orders GET
  • Get order GET
  • List banks GET
  • Order stats GET
  • List transactions GET
  • Get transaction GET
  • Transaction statuses GET
Errors and limits
  1. Docs
  2. API reference
  3. MTN payment status

MTN payment status

Poll MTN and return the order status for a reference you own.

OpenAPI SpecRun in Postman
GET/payment/mtn/status/:referenceAPI
Authentication:Bearer token•Authorization: Bearer <token>(Bearer token for server-to-server API calls)
Security requirement: 403 CSRF Protection
Auth guide →

Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:

X-Requested-With: XMLHttpRequest

Path params

FieldTypeRequiredDescription
referencestringRequiredtransactionReferenceId from the collect response.
import axios from "axios";

const url = "https://payment-service-mh2d.onrender.com/api/payment/mtn/status/:reference";

const headers = {
    Authorization: `Bearer ${process.env.ZIBA_TOKEN}`,
};

try {
  const response = await axios.get(url, {
    headers,
    timeout: 15000,
  });
  console.log("Success:", response.status, response.data);
} catch (error) {
  console.error("Request failed:", error.response?.data || error.message);
}
Auth guide

Response fields

FieldTypePresenceDescription
transactionReferenceIdstringAlways returnedSame reference you polled.
orderIdstringAlways returnedZiba Pay order id.
statusstringAlways returnedOrderStatus: PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED, EXPIRED, or REVERSED.
providerStatusstringAlways returnedStatus used for this sync. On an already-final order this is the stored order status.
alreadyFinalizedbooleanOptionalTrue when the order was already terminal and was not changed.

Status codes

HTTP StatusMeaning
200Status payload.
401No merchant session.
404{ error: "Payment not found" } when the reference is missing or belongs to another merchant.

Related

Payment statusCollect with MTN
Was this page helpful?

Let us know how we can make our API documentation better.

PreviousCollect with MTN
NextCollect with Airtel